Subject: Re: GIT_ONE_FILESYSTEM inclusion?

From: Lars Damerow <[email-masked]>
Date: Wed, 24 Mar 2010 06:40:49 -0700

>>From Alex Riesen <[email-masked]>, Wed, Mar 24, 2010 at 12:37:39PM +0100:
> 
> Isn't it a little pointless to look for repository when you can't
> access its config?

If you're doing the trendy thing of putting repository information in
your shell prompt, then your prompt is looking for a repository every
time you change a directory.

As for making this a command-line option: that's certainly doable, but
it makes it harder to enforce the option's use across an organization.
It's far easier for me to set an environment variable centrally on a
thousand workstations than to convince a potentially large number of
users to set a new shell alias for git.

thanks,
-lars

--
lars r. damerow :: button pusher :: pixar animation studios